Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 System.Net.EndPoint A implementation for abstract UNIX sockets as network addresses.

This class implements abstract UNIX domain sockets as found in the Linux operating system. Unlike , the path used to create this type of endpoint need not be a filename in the filesystem as it is just a unique string in the abstract namespace.

`try { AbstractUnixEndPoint endPoint = new AbstractUnixEndPoint (socketName); socket.Connect (endPoint); stream = new NetworkStream (socket, true); return true; } catch (Exception ex) { baseException = ex; return false; }`
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  a representing the socket name.
  Constructor with socketName as parameter.
  Unlike , the path need not be a filename in the filesystem as it is just a unique string in the abstract namespace.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.EndPoint `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Returns the path representing the unix socket. a
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.SocketAddress To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.